package com.atlassian.bitbucket.mesh.app;

/**
 * Base class for exceptions thrown when the home directory cannot be locked (for any reason). This type is abstract
 * to ensure more distinct subclasses are used for identifying failures.
 */
public abstract class HomeLockException extends IllegalApplicationStateException {

    protected HomeLockException(String message, String action) {
        super(message, action);
    }

    protected HomeLockException(String message, String action, Throwable cause) {
        super(message, action, cause);
    }
}
